Package org.apache.ignite.internal.management.encryption

## Class CacheGroupEncryptionTask.ReencryptionBaseJob<T>

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<EncryptionCacheGroupArg,​CacheGroupEncryptionTask.SingleFieldDto<T>>
    - - org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask.ReencryptionBaseJob<T>

Type Parameters:
  `T` - Type of job result.

All Implemented Interfaces:
  `Serializable`, `Callable<Object>`, `ComputeJob`, `PublicAccessJob`

Enclosing class:
  CacheGroupEncryptionTask<T>

    protected abstract static class CacheGroupEncryptionTask.ReencryptionBaseJob<T>
    extends VisorJob<EncryptionCacheGroupArg,​CacheGroupEncryptionTask.SingleFieldDto<T>>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
`protected` `ReencryptionBaseJob​(@Nullable EncryptionCacheGroupArg arg, boolean debug)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected CacheGroupEncryptionTask.SingleFieldDto<T>` `run​(EncryptionCacheGroupArg arg)` Execution logic of concrete job.
`protected abstract CacheGroupEncryptionTask.SingleFieldDto<T>` `run0​(CacheGroupContext grp)` Executes internal logic of the job.

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute, requiredPermissions`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReencryptionBaseJob

    protected ReencryptionBaseJob​(@Nullable
                                  @Nullable EncryptionCacheGroupArg arg,
                                  boolean debug)

Parameters:
  `arg` - Job argument.
  `debug` - Flag indicating whether debug information should be printed into node log.

### Method Detail

#### run

    protected CacheGroupEncryptionTask.SingleFieldDto<T> run​(EncryptionCacheGroupArg arg)
                                                      throws IgniteException

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<EncryptionCacheGroupArg,​CacheGroupEncryptionTask.SingleFieldDto<T>>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.
Throws:
  `IgniteException` - In case of error.

#### run0

    protected abstract CacheGroupEncryptionTask.SingleFieldDto<T> run0​(CacheGroupContext grp)
                                                                throws IgniteCheckedException

Executes internal logic of the job.

Parameters:
  `grp` - Cache group.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of error.